%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		pikdev
Version:	0.9.2
Release:	21%{?dist}
Summary:	IDE for development of PICmicro based application (under Linux/KDE)
Summary(fr):	EDI pour le développement d'applications à base de microcontrôleurs PIC

Group:		Development/Tools
License:	GPLv2
Url:		http://pikdev.free.fr
Source0:	http://pikdev.free.fr/%{name}-%{version}-1.tar.gz
Source1:	%{name}.desktop
Source2:	README.Fedora
Source3:	LISEZMOI.Fedora
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:         pikdev-0.9.2-gcc43.patch

BuildRequires:	desktop-file-utils, kdelibs3-devel
BuildRequires:	autoconf

Requires:	gputils

%description
PiKdev is a simple IDE dedicated to the development of PIC
based applications under KDE.
Features:
 - Integrated editor
 - Project management
 - Integrated programming engine for 12, 14 and 16 bits PIC
   (flash or EPROM technology)
 - Support for parallel and serial port programmers
 - KDE compliant look-and-feel

WARNING: Administrator have to see the README.Fedora file located
in the %{_pkgdocdir} directory
to complete full feature installation.

%description -l fr
PiKdev est un EDI (Environnement de Développement Intégré) dédié au
développement, sous KDE, d'applications à base de microcontrôleurs
PIC de Microchip.
Fonctionnalités :
 - Éditeur intégré
 - Gestionnaire de projet
 - Engin de programmation intégré pour les PIC 12, 14 et 16 bits
   (technologie flash ou EPROM)
 - Gestion des programmateurs pour port parallèle et port série
 - Conformité de l'aspect et de la convivialité de KDE

ATTENTION : l'installateur du paquetage doit lire le fichier LISEZMOI.Fedora,
situé dans le répertoire %{_pkgdocdir}, afin de voir
comment finir l'installation.

%prep

%setup -q -n pikdev-0.9.2-1

%patch1 -p1 -b .gcc43

%{__install} -pm 644 %{SOURCE2} .
%{__install} -pm 644 %{SOURCE3} .
%{__autoconf}

%build

# Needed for FC-4 x86_64 arch, See bug #169132
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure --disable-rpath

cd src
make -f Makefile.pkp \
CCPP=g++ \
LINK=g++ \
CCPPOPT="$RPM_OPT_FLAGS -DPKP_VERSION=0.9.2" \
LIBS=
cd ..
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
  --vendor fedora \
%endif
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "Development" \
  --add-category "IDE" \
  %{SOURCE1}

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README.Fedora LISEZMOI.Fedora
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/%{name}/
%{_datadir}/apps/katepart/syntax/*
%{_datadir}/doc/HTML/en/%{name}/
%{_datadir}/icons/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.2-20
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 13 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.9.2-17
- Fix path to docs in %%description when doc dir is unversioned (#994040).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.9.2-15
- Rerun autoconf to support ARM 64 bit CPU architecture (aarch64) (Fixes #926339)

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.2-14
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-11
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-6
- fix rawhide build (#434063)

* Wed Mar 12 2008 Kevin Kofler <Kevin tigcc ticalc org> 0.9.2-5
- BR kdelibs3-devel instead of kdelibs-devel (#434063)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.2-4
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.9.2-3
  - Licence tag clarification

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.2-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.9.2-1
  - New upstream version
* Fri Sep  1 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.9.1-3
  - FE6 rebuild
* Thu Aug 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.9.1-2
  - Fix doc permissions (#200832).
* Tue Apr 11 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.9.1-1
  - New upstream version
* Fri Apr 07 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-10
  - Fix patch name
* Fri Apr 07 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-9
  - Add patch to try to build ppc arch
  - Contributions of David Woodhouse <dwmw2[AT]redhat[DOT]com>
* Wed Apr 05 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-8
  - New try to build x86_64 arch for FC-4
  - Unset $QTDIR before sourcing qt.sh
  - Thanks to Rex Dieter <rdieter[AT]math[DOT]unl[DOT]edu>
    and Michael Schwendt <bugs[DOT]michael[AT]gmx[DOT]net>
* Thu Mar 23 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-7
  - No fix. So, remove the previous change
  - Definitely exclude arch x86_64 for FC-4
* Thu Mar 23 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-6
  - $QTDIR is set. So, remove the previous change
  - Try to fix x86_64 build failure by adding BR qt-devel
* Wed Mar 15 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-5
  - Source qt.sh if $QTDIR isn't set. Always Ralf...
* Wed Mar 15 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-4
  - Exclude temporarily ppc arch because <sys/io.h> don't exist
    in ppc glibc headers
  - Override compiler for pkp Makefile and propagate $RPM_OPT_FLAGS on it
  - Make install instead of install-strip
  - Contributions of Ralf Corsepius <rc040203[AT]freenet[DOT].de>
    Thanks to him.
* Wed Mar 08 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-3
  - Remove useless BuildRequires qt-devel, xorg-x11-devel for FE5
  - Package must own %%{_datadir}/apps/%%{name} directory
* Tue Jan 31 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-2
  - Don't use the precompiled version of pkp
* Mon Jan 30 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.4-1
  - New upstream version
* Tue Jan 10 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.2-2
  - Add the %%{?dist} macro
* Fri Dec 16 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.8.2-1
  - New version
  - Add french summary and description
  - Add french documentation
* Mon Jan 10 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.7.2-0.fdr.1
  - New version
* Mon Nov 08 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.7.1-0.fdr.2
  - Add BuildRequires kdelibs-devel, qt-devel, xorg-x11-devel
* Wed Oct 27 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.7.1-0.fdr.1
  - Initial Fedora RPM
  - Patch to fix french typo
